.shadow {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 10;
    pointer-events: auto;
}

.popup {
    position: fixed;
    width: 1100px;
    height: 700px;
    top: 50%;
    left: 50%;
    opacity: 1;
    transform: translate(-50%, -50%);
    background: var(--bg-grey);
    box-shadow: 4px 4px 50px rgba(0, 0, 0, 0.5);
    z-index: 9999;
    animation: fadeIn 0.1s ease-in;
    padding: 59px 82px 60px 82px;
    border-radius: 15px;
}

.mini-popup {
    position: fixed;
    width: 600px;
    height: 400px;
    top: 50%;
    left: 50%;
    opacity: 1;
    transform: translate(-50%, -50%);
    background: var(--bg-grey);
    box-shadow: 4px 4px 50px rgba(0, 0, 0, 0.5);
    z-index: 9999;
    animation: fadeIn 0.1s ease-in;
    padding: 20px;
    border-radius: 15px;
}

.tiny-popup {
    position: fixed;
    width: 500px;
    height: 300px;
    top: 50%;
    left: 50%;
    opacity: 1;
    transform: translate(-50%, -50%);
    background: var(--bg-grey);
    box-shadow: 4px 4px 50px rgba(0, 0, 0, 0.5);
    z-index: 9999;
    animation: fadeIn 0.1s ease-in;
    padding: 20px;
    border-radius: 15px;
}

.popup > button {
    position: absolute;
    right: 40px;
    top: 40px;
}

.mini-popup > button {
    position: absolute;
    right: 20px;
    top: 20px;
}

.tiny-popup > button {
    position: absolute;
    right: 10px;
    top: 10px;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translate(-50%, -45%);
    }
    to {
        opacity: 1;
        transform: translate(-50%, -50%);
    }
}

@media (max-width: 1400px) {
    .popup {
        padding: 39px 42px 40px 52px;
        width: 900px;
        height: 600px;
    }
}
